Page MenuHomePhabricator

decommission es2015.codfw.wmnet
Closed, ResolvedPublicRequest

Description

This task will track the decommission-hardware of server es2015.codfw.wmnet

With the launch of updates to the decom cookbook, the majority of these steps can be handled by the service owners directly. The DC Ops team only gets involved once the system has been fully removed from service and powered down by the decommission cookbook.

es2015

Steps for service owner:

  • - all system services confirmed offline from production use
  • - set all icinga checks to maint mode/disabled while reclaim/decommmission takes place.
  • - remove system from all lvs/pybal active configuration
  • - any service group puppet/hiera/dsh config removed
  • - remove site.pp, replace with role(spare::system) recommended to ensure services offline but not 100% required as long as the decom script is IMMEDIATELY run below.
  • - login to cumin host and run the decom cookbook: cookbook sre.hosts.decommission <host fqdn> -t <phab task>. This does: bootloader wipe, host power down, netbox update to decommissioning status, puppet node clean, puppet node deactivate, debmonitor removal.
  • - remove all remaining puppet references (include role::spare) and all host entries in the puppet repo
  • - remove ALL dns entries except the asset tag mgmt entries.
  • - reassign task from service owner to DC ops team member depending on site of servee.

End service owner steps / Begin DC-Ops team steps:

  • - disable switch port / set to asset tag if host isn't being unracked / remove from switch if being unracked.
  • - system disks removed (by onsite)
  • - determine system age, under 5 years are reclaimed to spare, over 5 years are decommissioned.
  • - IF DECOM: system unracked and decommissioned (by onsite), update netbox with result and set state to offline
  • - IF DECOM: switch port configuration removed from switch once system is unracked.
  • - IF DECOM: mgmt dns entries removed.

Event Timeline

Marostegui moved this task from Next to In Progress on the Data-Persistence board.

Mentioned in SAL (#wikimedia-operations) [2020-10-06T07:14:51Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Depool es2015 T264700 ', diff saved to https://phabricator.wikimedia.org/P12926 and previous config saved to /var/cache/conftool/dbconfig/20201006-071451-marostegui.json

Mentioned in SAL (#wikimedia-operations) [2020-10-06T07:17:42Z] <marostegui> Remove es2015 and es2017 from tendril and zarcillo T264700 T264386

Marostegui moved this task from Triage to In progress on the DBA board.Oct 6 2020, 9:26 AM

Change 632643 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] es2015: Disable notifications

https://gerrit.wikimedia.org/r/632643

Change 632643 merged by Marostegui:
[operations/puppet@production] es2015: Disable notifications

https://gerrit.wikimedia.org/r/632643

Mentioned in SAL (#wikimedia-operations) [2020-10-07T07:14:35Z] <marostegui> Stop MySQL es2015 for decommissioning T264700

Marostegui updated the task description. (Show Details)Oct 7 2020, 7:27 AM

Change 632647 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] instances.yaml: Remove es2015 from dbctl

https://gerrit.wikimedia.org/r/632647

Change 632647 merged by Marostegui:
[operations/puppet@production] instances.yaml: Remove es2015 from dbctl

https://gerrit.wikimedia.org/r/632647

Mentioned in SAL (#wikimedia-operations) [2020-10-07T07:49:52Z] <marostegui@cumin1001> dbctl commit (dc=all): 'Remove es2015 from dbctl T264700', diff saved to https://phabricator.wikimedia.org/P12941 and previous config saved to /var/cache/conftool/dbconfig/20201007-074951-marostegui.json

Marostegui updated the task description. (Show Details)Oct 7 2020, 7:49 AM

Change 632835 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Remove puppet entries for es2015

https://gerrit.wikimedia.org/r/632835

Change 632836 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/dns@master] dns: Remove es2015 entries

https://gerrit.wikimedia.org/r/632836

Change 632835 merged by Marostegui:
[operations/puppet@production] mariadb: Remove puppet entries for es2015

https://gerrit.wikimedia.org/r/632835

cookbooks.sre.hosts.decommission executed by marostegui@cumin1001 for hosts: es2015.codfw.wmnet

  • es2015.codfw.wmnet (PASS)
    • Downtimed host on Icinga
    • Found physical host
    • Downtimed management interface on Icinga
    • Wiped bootloaders
    • Powered off
    • Set Netbox status to Decommissioning and deleted all non-mgmt interfaces and related IPs
    • Removed from DebMonitor
    • Removed from Puppet master and PuppetDB
  • COMMON_STEPS (WARN)
    • Not all affected DC(s) have been migrated to automatic DNS, a manual patch to the operations/dns repository is required

Change 632836 merged by Marostegui:
[operations/dns@master] dns: Remove es2015 entries

https://gerrit.wikimedia.org/r/632836

Marostegui reassigned this task from Marostegui to Papaul.Oct 8 2020, 5:34 AM
Marostegui updated the task description. (Show Details)

This host is ready for DC-Ops!

Restricted Application added a project: SRE. · View Herald TranscriptOct 8 2020, 5:35 AM
Papaul moved this task from Backlog to Decommission on the ops-codfw board.Oct 12 2020, 3:58 PM
papaul@asw-c-codfw# show | compare
[edit interfaces interface-range vlan-private1-c-codfw]
-    member ge-1/0/1;
[edit interfaces interface-range disabled]
     member ge-1/0/0 { ... }
+    member ge-1/0/1;
[edit interfaces]
-   ge-1/0/1 {
-       description es2015;
-   }
Papaul updated the task description. (Show Details)Oct 14 2020, 3:48 PM
Papaul closed this task as Resolved.Oct 15 2020, 6:03 PM
Papaul updated the task description. (Show Details)

complete